Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JTATransactionStatisticsRuntimeMBean

All Known Subinterfaces:
  JTARuntimeMBean, TransactionNameRuntimeMBean

public interface JTATransactionStatisticsRuntimeMBean
extends JTAStatisticsRuntimeMBean

This interface contains general JTA transaction runtime statistics.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getSecondsActiveTotalCount()` Returns the total number of seconds for all committed transactions.
`long` | `getTransactionAbandonedTotalCount()` Returns the number of transaction that were abandoned.
`long` | `getTransactionRolledBackAppTotalCount()` Returns the number of transactions that were rolled back due to an application error.
`long` | `getTransactionRolledBackResourceTotalCount()` Returns the number of transactions that were rolled back due to a resource error.
`long` | `getTransactionRolledBackSystemTotalCount()` Returns the number of transactions that were rolled back due to an internal system error.
`long` | `getTransactionRolledBackTimeoutTotalCount()` Returns the number of transactions that were rolled back due to a timeout expiration.

Methods inherited from interface weblogic.management.runtime.JTAStatisticsRuntimeMBean
`getTransactionCommittedTotalCount, getTransactionHeuristicsTotalCount, getTransactionRolledBackTotalCount, getTransactionTotalCount`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTransactionRolledBackTimeoutTotalCount

    public long getTransactionRolledBackTimeoutTotalCount()

  Returns the number of transactions that were rolled back due to a timeout expiration.

  Returns:
    The transactionRolledBackTimeoutTotalCount value

### getTransactionRolledBackResourceTotalCount

    public long getTransactionRolledBackResourceTotalCount()

  Returns the number of transactions that were rolled back due to a resource error.

  Returns:
    The transactionRolledBackResourceTotalCount value

### getTransactionRolledBackAppTotalCount

    public long getTransactionRolledBackAppTotalCount()

  Returns the number of transactions that were rolled back due to an application error.

  Returns:
    The transactionRolledBackAppTotalCount value

### getTransactionRolledBackSystemTotalCount

    public long getTransactionRolledBackSystemTotalCount()

  Returns the number of transactions that were rolled back due to an internal system error.

  Returns:
    The transactionRolledBackSystemTotalCount value

### getSecondsActiveTotalCount

    public long getSecondsActiveTotalCount()

  Returns the total number of seconds for all committed transactions.

  Returns:
    The secondsActiveTotalCount value

### getTransactionAbandonedTotalCount

    public long getTransactionAbandonedTotalCount()

  Returns the number of transaction that were abandoned.

  Returns:
    The transactionAbandonedTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD